package com.giderosmobile.android.plugins.revmob;

//Import Android activity
import android.app.Activity;
//Need Android views
import android.view.ViewGroup;
// Get layout
import com.intoitgames.gplayer.R;
//Import RevMov
import com.revmob.RevMob;
import com.revmob.RevMobTestingMode;
import com.revmob.ads.banner.RevMobBanner;

public class GiderosRevMob{
    //This will be the reference to main activity
    static Activity currentActivity;    
     
    /**Custom plugin methods**/
    private static RevMob revmob;
    
    
    public static void startSession(String appID)
    {
    	// Starting RevMob session
        revmob = RevMob.start(currentActivity, appID);
    }
    
    public static void setTestingMode(String mode)
    {
    	if (mode == "WITH_ADS") {
    		revmob.setTestingMode(RevMobTestingMode.WITH_ADS); // with this line, RevMob will always deliver a sample ad
    	}else if (mode == "WITHOUT_ADS"){
    		revmob.setTestingMode(RevMobTestingMode.WITHOUT_ADS); // with this line, RevMob will not delivery ads 
    	}  	
    }
    
    public static void showBanner()
    {
    	RevMobBanner banner = revmob.createBanner(currentActivity);
    	currentActivity.setContentView(R.layout.main);
        ViewGroup view = (ViewGroup) currentActivity.findViewById(R.id.banner);
        view.addView(banner);
    }
    
    
    /****************
     * Here we will register to all
     * Application life cycle events
     ****************/
     
    /**On create event from Gideros receives reference
    to current activity just in case if you might need it**/
    
    public static void onCreate(Activity activity)
    {
        currentActivity = activity;
    }
     
    //On application start event
    public static void onStart()
    {
             
    }
 
    //On application resume event
    public static void onResume()
    {
         
    }
     
    //On pause event
    public static void onPause()
    {
 
    }
 
    //On stop event
    public static void onStop()
    {
     
    }
     
    //On destroy event
    public static void onDestroy()
    {
         
    }
}
